Bug 520982 - setroubleshoot: SELinux is preventing pppd "create" access on <Unknown>.
Summary: setroubleshoot: SELinux is preventing pppd "create" access on <Unknow...
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: rawhide
Hardware: i386
OS: Linux
low
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:e816bd34c47...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-03 01:49 UTC by David
Modified: 2009-09-04 13:48 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-04 13:48:32 UTC


Attachments (Terms of Use)

Description David 2009-09-03 01:49:26 UTC
The following was filed automatically by setroubleshoot:

Summary:

SELinux is preventing pppd "create" access on <Unknown>.

Detailed Description:

SELinux denied access requested by pppd. It is not expected that this access is
required by pppd and this access may signal an intrusion attempt. It is also
possible that the specific version or configuration of the application is
causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Please file a bug
report (http://bugzilla.redhat.com/bugzilla/enter_bug.cgi) against this package.

Additional Information:

Source Context                system_u:object_r:unlabeled_t:s0
Target Context                system_u:object_r:unlabeled_t:s0
Target Objects                None [ unix_dgram_socket ]
Source                        pppd
Source Path                   /usr/sbin/pppd
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           ppp-2.4.4-12.fc12
Target RPM Packages           
Policy RPM                    selinux-policy-3.6.28-8.fc12
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed) 2.6.31-0.174.rc7.git2.fc12.i686 #1
                              SMP Mon Aug 24 23:41:37 EDT 2009 i686 i686
Alert Count                   663
First Seen                    Thu 27 Aug 2009 10:26:39 PM PDT
Last Seen                     Thu 27 Aug 2009 10:29:17 PM PDT
Local ID                      3ed5aa4c-6a34-4ccd-a778-3bbaa4ddf574
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1251437357.438:38935): avc:  denied  { create } for  pid=2149 comm="pppd" scontext=system_u:object_r:unlabeled_t:s0 tcontext=system_u:object_r:unlabeled_t:s0 tclass=unix_dgram_socket

node=(removed) type=SYSCALL msg=audit(1251437357.438:38935): arch=40000003 syscall=102 success=no exit=-13 a0=1 a1=bf9cd4fc a2=f9dff4 a3=1 items=0 ppid=1 pid=2149 auid=1003 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=1 comm="pppd" exe="/usr/sbin/pppd" subj=system_u:object_r:unlabeled_t:s0 key=(null)


audit2allow suggests:

#============= unlabeled_t ==============
allow unlabeled_t self:unix_dgram_socket create;

Comment 1 Daniel Walsh 2009-09-04 13:48:32 UTC
This is an upgrade problem in rawhide.  Please stop and restart pppd and you should not see this AVC any longer.

We have taken away the transition for pppd from unconfined_t,  So if you updated when pppd was connected you would see this error.  

Sorry about that.  Please test the new policy and make sure everything works correctly (No AVC's)  Also make sure that /etc/resolv.conf gets the right label.
# ls -lZ /etc/resolv.conf
-rw-r--r--. root root system_u:object_r:net_conf_t:s0  /etc/resolv.conf


Note You need to log in before you can comment on or make changes to this bug.